/**
 * 页面
 */
class Pages {
    /**
     * 人工定额管理
     */
    loborQuota = {
        /**
         * 人工定额管理首页
         */
        index: '/pages/loborQuota/index'
    }

    /**
     * 定额调整单
     */
    loborQuotaOrder = {
        /**
         * 定额调整单首页
         */
        index: '/pages/loborQuotaOrder/index'
    }

    /**
     * 工序档案
     */
    process = {
        /**
         * 工序档案首页
         */
        index: '/pages/process/index',
        
        /**
         * 新增工序档案
         */
        insert: '/pages/process/insert'
    }

    /**
     * 工作组档案
     */
    workingTeam = {
        /**
         * 工作组档案首页
         */
        index: '/pages/workingTeam/index',
        
        /**
         * 新增工作组档案
         */
        insert: '/pages/workingTeam/insert'
    }
    
    /**
     * 工段管理
     */
    workshopSection = {
        /**
         * 工段管理首页
         */
        index: '/pages/workshopSection/index',
        
        /**
         * 新增工段管理
         */
        insert: '/pages/workshopSection/insert'
    }
    
    /**
     * 用户
     */
    user = {
        /**
         * 用户首页
         */
        index: '/pages/user/index'
    }

    /**
     * 页面列表
     */
    get pages() {
        let list = [{
            text: '人工定额管理',
            url: this.loborQuota.index,
            icon: 'calendar'
        }, {
            text: '定额调整单',
            url: this.loborQuotaOrder.index,
            icon: 'compose'
        }, {
            text: '工序档案',
            url: this.process.index,
            icon: 'color'
        }, {
            text: '工作组档案',
            url: this.workingTeam.index,
            icon: 'color'
        }, {
            text: '工段管理',
            url: this.workshopSection.index,
            icon: 'color'
        }];
        return list;
    }
};

export default new Pages();